import request from '@/utils/request'

// //  获得Menu清单	结构体	GET	Menu清单		/tmenulists/getMenuList
// //  新增一个	结构体	POST	新增一个Menu	成功，失败	/tmenulists/addOneMenu
// //  获得一个Menu	myid	GET	获得单个Menu		/tmenulists/getOneMenu/??
// //  更新Menu信息	结构体	POST	更新某一个Menu信息	成功，失败	/tmenulists/updateOneMenu
// //  删除一个	myid	GET	不能删除		/tmenulists/delOneMenu/??

// // 获取
export function getMenuList(query) {
  return request({
    url: '/sys/menu/page',
    method: 'get',
    params: query
  })
}

export function menuDetail(id) {
  return request({
    url: '/sys/menu/'+id,
    method: 'get',
    // params: query
  })
}

export function getMenuTree(query) {
  return request({
    url: '/sys/menu/tree',
    method: 'get',
    params: query
  })
}

// // 新增
export function addOneMenu(data) {
  return request({
    url: '/sys/menu',
    method: 'post',
    data
  })
}

export function down(params) {
  return request({
    url: '/sys/menu/down/' + params.ID,
    method: 'GET',
    params
  })
}

export function up(params) {
  return request({
    url: '/sys/menu/up/' + params.ID,
    method: 'GET',
    params
  })
}

export function enable(data) {
  return request({
    url: '/sys/menu/enable/'+data.id,
    method: 'PUT',
    data
  })
}


// // 更新
export function updateOneMenu(data) {
  return request({
    url: '/sys/menu/'+data.id,
    method: 'PUT',
    data
  })
}

// // 下拉获取上级菜单 /tprivilegelists/getAllprivilegelist
// export function getAllprivilegelist() {
//   return request({
//     url: '/tprivilegelists/getAllprivilegelist',
//     method: 'get'
//   })
// }

// 禁用菜单/tmenulists/disableMenu/{{id}}
export function disableMenu(data) {
  return request({
    url: '/sys/menu/disable/'+data.id,
    method: 'PUT',
    data
  })
}

// // /entMenus/getAllParentMenu
// export function getAllParentMenu() {
//   return request({
//     url: '/entMenus/getAllParentMenu',
//     method: 'get'
//   })
// }

// // /entMenus/getAllViewRole
// export function getAllViewRole() {
//   return request({
//     url: '/entMenus/getAllViewRole',
//     method: 'get'
//   })
// }

// // 查询某个 /tmenulists/getOneMenu/{{id}}
// export function getOneMenu(id) {
//   return request({
//     url: '/tmenulists/getOneMenu/' + id,
//     method: 'get'
//   })
// }

// // 删除菜单 /tmenulists/delOneMenu/452
export function delOneMenu(data) {
  return request({
    url: '/sys/menu/' + data.id,
    method: 'DELETE',
    data
  })
}

// // 上下移/tmenulists/moveMenuSort
// export function moveMenuSort(data) {
//   return request({
//     url: '/tmenulists/moveMenuSort/' + data.id + '?operate=' + data.operate,
//     method: 'post'
//   })
// }

// // 菜单导入 - /tmenulists/importMenu
export function importMenu(data) {
  return request({
    url: '/sys/menu/input',
    method: 'post',
    // toast: false,
    errtoast: false,
    data,
    cache: false,
    processData: false,
    contentType: false
  })
}

// // 导出 - /tmenulists/exportMenu
export function exportMenu(data) {
  return request({
    url: '/sys/menu/export',
    method: 'POST',
    data
  })
}

export function menuChildList(id) {
  return request({
    url: '/sys/role/menu/childList/'+id,
    method: 'GET',
  })
}
